Bug 1669057 - [abrt] parole: XkbUseExtension(): parole killed by SIGSEGV
Summary: [abrt] parole: XkbUseExtension(): parole killed by SIGSEGV
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:96d8a5d8d66228483938aba10c9...
: 1689236 1713951 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-24 08:34 UTC by Benjamin Hiebert
Modified: 2019-08-23 01:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (57.42 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: cgroup (499 bytes, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: core_backtrace (12.08 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: dso_list (9.91 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: environ (1.64 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: exploitable (82 bytes, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: maps (57.19 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: mountinfo (4.07 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: open_fds (1.02 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-01-24 08:34 UTC, Benjamin Hiebert
no flags Details

Description Benjamin Hiebert 2019-01-24 08:34:01 UTC
Description of problem:
I just attempted to start the program and it failed.

Version-Release number of selected component:
parole-1.0.1-3.fc30

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        parole /home/benjamin03112/The Joker Has ASMR-M8V_YBC76gk.mkv
crash_function: XkbUseExtension
executable:     /usr/bin/parole
journald_cursor: s=3c0a37d87713407a8f1ce6715d168854;i=cc07;b=e1c9424e57de45de81c2f11fa6a73c85;m=8a5c6e216;t=5802f6814bfc2;x=f0fa33c787f8431e
kernel:         5.0.0-0.rc3.git0.1.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XkbUseExtension at XKBUse.c:652
 #1 _XkbLoadDpy at XKBBind.c:513
 #2 XKeysymToKeycode at XKBBind.c:159
 #3 parole_button_xevent_key at parole-button.c:194
 #4 parole_button_setup at parole-button.c:225
 #5 parole_button_init at parole-button.c:271
 #6 g_type_create_instance at ../gobject/gtype.c:1864
 #7 g_object_new_internal at ../gobject/gobject.c:1805
 #8 g_object_new_with_properties at ../gobject/gobject.c:1973
 #10 parole_button_new at parole-button.c:294

Potential duplicate: bug 1325634

Comment 1 Benjamin Hiebert 2019-01-24 08:34:04 UTC
Created attachment 1523021 [details]
File: backtrace

Comment 2 Benjamin Hiebert 2019-01-24 08:34:05 UTC
Created attachment 1523022 [details]
File: cgroup

Comment 3 Benjamin Hiebert 2019-01-24 08:34:06 UTC
Created attachment 1523023 [details]
File: core_backtrace

Comment 4 Benjamin Hiebert 2019-01-24 08:34:07 UTC
Created attachment 1523024 [details]
File: cpuinfo

Comment 5 Benjamin Hiebert 2019-01-24 08:34:08 UTC
Created attachment 1523025 [details]
File: dso_list

Comment 6 Benjamin Hiebert 2019-01-24 08:34:09 UTC
Created attachment 1523026 [details]
File: environ

Comment 7 Benjamin Hiebert 2019-01-24 08:34:10 UTC
Created attachment 1523027 [details]
File: exploitable

Comment 8 Benjamin Hiebert 2019-01-24 08:34:10 UTC
Created attachment 1523028 [details]
File: limits

Comment 9 Benjamin Hiebert 2019-01-24 08:34:11 UTC
Created attachment 1523029 [details]
File: maps

Comment 10 Benjamin Hiebert 2019-01-24 08:34:12 UTC
Created attachment 1523030 [details]
File: mountinfo

Comment 11 Benjamin Hiebert 2019-01-24 08:34:13 UTC
Created attachment 1523031 [details]
File: open_fds

Comment 12 Benjamin Hiebert 2019-01-24 08:34:14 UTC
Created attachment 1523032 [details]
File: proc_pid_status

Comment 13 Mukundan Ragavan 2019-06-04 22:14:50 UTC
*** Bug 1689236 has been marked as a duplicate of this bug. ***

Comment 14 Mukundan Ragavan 2019-06-04 22:15:06 UTC
*** Bug 1713951 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2019-08-13 16:52:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 16 Ben Cotton 2019-08-13 19:15:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 17 Fedora Update System 2019-08-15 22:31:30 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 18 Fedora Update System 2019-08-17 01:27:28 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 19 Fedora Update System 2019-08-23 01:27:05 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.